## kf5-kdepim-apps-libs 20.08.1

=== debian/changelog ===
kf5-kdepim-apps-libs (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:27 +0100

kf5-kdepim-apps-libs (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop now obsoleted followupreminder, kdepimdbusinterfaces and
    sendlater library and development packages.
  * Update other install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:00 +0100

kf5-kdepim-apps-libs (4:19.12.3-0ubuntu2) groovy; urgency=medium

  * Rebuild against new gpgme1.0 not providing libgpgme-pthread.so
    anymore.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jun 2020 10:34:22 +0200
