=== kaddressbookgrantlee/src/printing/autotests/CMakeLists.txt ===
ecm_add_test(grantleeprinttest.cpp
    NAME_PREFIX "kaddressbookgrantlee-printing-"
    LINK_LIBRARIES KF5::KaddressbookGrantlee Qt5::Test KF5::Contacts
)
